# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rlru"
version = "0.1.20"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rocket League replay uploader"
homepage = "https://github.com/rlrml/rlru"
documentation = "https://docs.rs/rlru"
readme = "README.md"
keywords = [
    "rocket-league",
    "replay",
    "uploader",
    "ballchasing",
    "psynet",
]
categories = [
    "command-line-utilities",
    "game-development",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/rlrml/rlru"

[features]
cli = [
    "dep:clap",
    "dep:tracing-subscriber",
    "dep:webbrowser",
]
default = ["cli"]

[lib]
name = "rlru"
path = "src/lib.rs"

[[bin]]
name = "rlru"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.22"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4"
features = ["derive"]
optional = true

[dependencies.dirs]
version = "6"

[dependencies.humantime-serde]
version = "1"

[dependencies.psynet]
version = "0.1.20"

[dependencies.secrecy]
version = "0.10"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
    "signal",
    "time",
]

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]
optional = true

[dependencies.url]
version = "2"
features = ["serde"]

[dependencies.webbrowser]
version = "1"
optional = true

[dev-dependencies.tempfile]
version = "3"

[target."cfg(not(windows))".dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "multipart",
    "rustls-tls",
    "gzip",
    "deflate",
    "brotli",
    "stream",
]
default-features = false

[target."cfg(windows)".dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "multipart",
    "native-tls",
    "gzip",
    "deflate",
    "brotli",
    "stream",
]
default-features = false

[profile.android-dev]
inherits = "dev"

[profile.server-dev]
inherits = "dev"

[profile.wasm-dev]
opt-level = 1
inherits = "dev"
